echo off
cls
echo Installing...
if "%1" == "" goto usage
if "%1" == "C:" goto ccolon
if "%1" == "c:" goto ccolon
if "%1" == "d:" goto dcolon
if "%1" == "D:" goto dcolon
goto makerror
:ccolon
goto sk
:dcolon
:sk
md %1\shoot
cd %1\shoot
if errorlevel 1 goto makerror
copy in*.bat %1
:disk1
echo Insert IF IT MOVES, SHOOT IT!  PROGRAM DISK and
pause
if not exist s.exe goto disk1
copy . %1\shoot 
:disk2
if exist big1 goto disk3
:disk2b
echo Insert GRAPHICS 1 and
pause
if not exist sstorm.frm goto disk2b
:copyb
copy . %1\shoot

:disk3
echo Insert GRAPHICS 2 and 
pause
if not exist lava.frm goto disk3
:copyc
copy . %1\shoot

:disk4
if exist big3 goto copydone
:disk4b
echo Insert GRAPHICS 3 and
pause
if not exist big3 goto disk4b
:copyd
copy . %1\shoot
:copydone
%1
mksnd
goto end
:usage
:makerror
echo ÿ
echo When running the INSTALL program, please specify which hard drive
echo you would like to install IF IT MOVES, SHOOT IT! on.
echo ÿ
echo Example:  INSTALL C:
echo           This will create a directory on drive C named C:\SHOOT
echo           and copy all the program files into this subdirectory.
echo ÿ
goto nd
:end
cls
echo IF IT MOVES, SHOOT IT! now installed. Happy hunting !
:nd
echo on


